Subject: bug#27718: 26.0.50; (cl-typep instance-ab 'class-a) gives wrong answer when compiled

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Jul 2017 11:30:50 -0400

>> So maybe rather than hijack function-get/put in bug#27016, we should
>> introduce a new "definitional put" with a corresponding `get`, and then
>> use that here as well as in function-put/get.
>> Maybe we could simply change put&get directly without introducing
>> yet-another slightly different get/put?

> Something like this?

I guess so.  But:

> +  DEFSYM (Qbyte_compile_plist_environment, "byte-compile-plist-environment");

I find having to hardcode byte-compile-plist-environment in get rather ugly.

        Stefan "sorry, I couldn't make it more constructive"